Subject: Re: [PATCH] tcp: splice as many packets as possible at once

From: Evgeniy Polyakov <[email-masked]>
Date: Wed, 14 Jan 2009 03:22:52 +0300

On Tue, Jan 13, 2009 at 04:16:25PM -0800, David Miller ([email-masked]) wrote:
> I wish there were some way we could make this code grab and release a
> reference to the SKB data area (I mean skb_shinfo(skb)->dataref) to
> accomplish it's goals.

Ugh... Clone without cloninig, but by increasing the dataref. Getting
that splice only needs that skb to track the head of the original, this
may really work.

-- 
	Evgeniy Polyakov